Namespace
library
Image / Tag
swift:5.9.1-amazonlinux2
Content Digest
sha256:9bd03a50fc37a264d75c7ce3b16720da23faf68e9057d5e8fb6fc944a05dd243
Details
Created

2023-11-21 03:40:38 UTC

Size

919 MB

Content Digest
Labels
  • description
    Docker Container for the Swift programming language
  • maintainer
    Swift Infrastructure <swift-infrastructure@forums.swift.org>

Environment
PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

SWIFT_BRANCH

swift-5.9.1-release

SWIFT_PLATFORM

amazonlinux2

SWIFT_SIGNING_KEY

A62AE125BBBFBB96A6E042EC925CC1CCED3D1561

SWIFT_VERSION

swift-5.9.1-RELEASE

SWIFT_WEBROOT

https://download.swift.org


Layers

[#000] sha256:0b4a6f011995244a95bff79a1298e83d230bc0aa22871a9c510745cafebec227 - 6.5% (59.7 MB)

[#001] sha256:9f75460c10e512e5c816c80e54a14471e5b54c99b524e9132567ec1732cfc559 - 30.36% (279 MB)

[#002] sha256:cc20087a61bd64870ee76564a1ca2ddf87ebf16e2b3ee5a122aceb61561861ba - 63.14% (580 MB)

[#003] sha256:0aba21096f71d6422ea3e61e5171fd26b292e0b66b026510b3347be90d95e765 - 0.0% (199 Bytes)


History
2023-11-21 03:21:54 UTC

/bin/sh -c #(nop) COPY dir:ddf8ce4c235ebf92718d40c0041035b283a61cbd94b49610e57999ebc78d3ec6 in /

2023-11-21 03:21:55 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2023-11-21 03:39:17 UTC

/bin/sh -c #(nop) LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>

2023-11-21 03:39:17 UTC

/bin/sh -c #(nop) LABEL description=Docker Container for the Swift programming language

2023-11-21 03:39:47 UTC

/bin/sh -c yum -y install binutils gcc git unzip glibc-static gzip libbsd libcurl-devel libedit libicu libsqlite libstdc++-static libuuid libxml2-devel tar tzdata zlib-devel

2023-11-21 03:39:49 UTC

/bin/sh -c #(nop) ARG SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561

2023-11-21 03:39:49 UTC

/bin/sh -c #(nop) ARG SWIFT_PLATFORM=amazonlinux2

2023-11-21 03:39:49 UTC

/bin/sh -c #(nop) ARG SWIFT_BRANCH=swift-5.9.1-release

2023-11-21 03:39:49 UTC

/bin/sh -c #(nop) ARG SWIFT_VERSION=swift-5.9.1-RELEASE

2023-11-21 03:39:49 UTC

/bin/sh -c #(nop) ARG SWIFT_WEBROOT=https://download.swift.org

2023-11-21 03:39:49 UTC

/bin/sh -c #(nop) ENV SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561 SWIFT_PLATFORM=amazonlinux2 SWIFT_BRANCH=swift-5.9.1-release SWIFT_VERSION=swift-5.9.1-RELEASE SWIFT_WEBROOT=https://download.swift.org

2023-11-21 03:40:31 UTC

/bin/sh -c set -e; ARCH_NAME="$(rpm --eval '%{_arch}')"; url=; case "${ARCH_NAME##*-}" in 'x86_64') OS_ARCH_SUFFIX=''; ;; 'aarch64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && echo $SWIFT_BIN_URL && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && tar -xzf swift.tar.gz --directory / --strip-components=1 && chmod -R o+r /usr/lib/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz

2023-11-21 03:40:38 UTC

/bin/sh -c swift --version

Details
Created

2023-11-21 05:26:05 UTC

Size

883 MB

Content Digest
Labels
  • description
    Docker Container for the Swift programming language
  • maintainer
    Swift Infrastructure <swift-infrastructure@forums.swift.org>

Environment
PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

SWIFT_BRANCH

swift-5.9.1-release

SWIFT_PLATFORM

amazonlinux2

SWIFT_SIGNING_KEY

A62AE125BBBFBB96A6E042EC925CC1CCED3D1561

SWIFT_VERSION

swift-5.9.1-RELEASE

SWIFT_WEBROOT

https://download.swift.org


Layers

[#000] sha256:ae50e077554aa1fe734206cc35e32dc0b0389a0ff7aa8d08626157b225100b42 - 6.96% (61.4 MB)

[#001] sha256:b33567c03e028bd27df6b87aa6fafe50dc05db1afcdeeed06cc54b6301c1f904 - 27.98% (247 MB)

[#002] sha256:df4ac3a91e5aa523e0953055a1fa7028a13a9c1f90de4474086e42c8da572dc4 - 65.06% (574 MB)

[#003] sha256:ec62a05a0aceed6577dd797fb95d4e2b0425e30fdac20148853b8cc700a49fe3 - 0.0% (200 Bytes)


History
2023-11-21 03:39:49 UTC

/bin/sh -c #(nop) COPY dir:21fc61c0ea1d6a14f556bdbd5029389644807e82a8de54f60438fc773e3e2465 in /

2023-11-21 03:39:51 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2023-11-21 05:24:38 UTC

/bin/sh -c #(nop) LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>

2023-11-21 05:24:38 UTC

/bin/sh -c #(nop) LABEL description=Docker Container for the Swift programming language

2023-11-21 05:25:02 UTC

/bin/sh -c yum -y install binutils gcc git unzip glibc-static gzip libbsd libcurl-devel libedit libicu libsqlite libstdc++-static libuuid libxml2-devel tar tzdata zlib-devel

2023-11-21 05:25:07 UTC

/bin/sh -c #(nop) ARG SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561

2023-11-21 05:25:07 UTC

/bin/sh -c #(nop) ARG SWIFT_PLATFORM=amazonlinux2

2023-11-21 05:25:07 UTC

/bin/sh -c #(nop) ARG SWIFT_BRANCH=swift-5.9.1-release

2023-11-21 05:25:07 UTC

/bin/sh -c #(nop) ARG SWIFT_VERSION=swift-5.9.1-RELEASE

2023-11-21 05:25:07 UTC

/bin/sh -c #(nop) ARG SWIFT_WEBROOT=https://download.swift.org

2023-11-21 05:25:07 UTC

/bin/sh -c #(nop) ENV SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561 SWIFT_PLATFORM=amazonlinux2 SWIFT_BRANCH=swift-5.9.1-release SWIFT_VERSION=swift-5.9.1-RELEASE SWIFT_WEBROOT=https://download.swift.org

2023-11-21 05:25:53 UTC

/bin/sh -c set -e; ARCH_NAME="$(rpm --eval '%{_arch}')"; url=; case "${ARCH_NAME##*-}" in 'x86_64') OS_ARCH_SUFFIX=''; ;; 'aarch64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && echo $SWIFT_BIN_URL && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && tar -xzf swift.tar.gz --directory / --strip-components=1 && chmod -R o+r /usr/lib/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz

2023-11-21 05:26:05 UTC

/bin/sh -c swift --version

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete